function [idx]=dom_set(train_set,train_labels,Fs)

    [Ntrials,Ntime,Nsensors]=size(train_set);
    [b,a]=butter(3,[8 25]/(Fs/2));
    f_STs=[];for i_sensor=1:Nsensors,Trial=squeeze(train_set(:,:,i_sensor));filtered_Trial=filtfilt(b,a,Trial')';f_STs(:,:,i_sensor)=filtered_Trial;end

    STsA=f_STs(train_labels==1,:,:);STsB=f_STs(train_labels==2,:,:);

    STsA_DCORR_pre=[];STsA_DCORR_post=[];
     for i_trial=1:size(STsA,1)
        Trial=squeeze(STsA(i_trial,:,:));
        Trial_DCORR_post=cov(Trial(171+50:171+160+50,1:1:end));       
     STsA_DCORR_post(i_trial,:,:)= Trial_DCORR_post;end,  

    STsB_DCORR_post=[];
     for i_trial=1:size(STsB,1)
        Trial=squeeze(STsB(i_trial,:,:));
        Trial_DCORR_post=cov(Trial(171+50:171+160+50,1:1:end));       
     STsB_DCORR_post(i_trial,:,:)= Trial_DCORR_post;end,


    STsA_DCORR_post_vec = reshape(STsA_DCORR_post,[size(STsA_DCORR_post,1),size(STsA_DCORR_post,2)*size(STsA_DCORR_post,2)]);
    STsB_DCORR_post_vec = reshape(STsB_DCORR_post,[size(STsB_DCORR_post,1),size(STsB_DCORR_post,2)*size(STsB_DCORR_post,2)]);

    STs_ALL_vec = [STsA_DCORR_post_vec;STsB_DCORR_post_vec];

    [IDX, SCORE] = rankfeatures(STs_ALL_vec',[zeros(size(STsA,1),1);ones(size(STsB,1),1)],'criterion','wilcoxon');
    myIDX=zeros(size(IDX,1),1);
    mySCORE=zeros(size(SCORE,1),1);

    for i=1:size(IDX,1)
        mySCORE(IDX(i)) = SCORE(IDX(i));
    end

    mySCORE_full = reshape(mySCORE,[size(STsB_DCORR_post,2) size(STsB_DCORR_post,2)]);


    WA=(mySCORE_full);  list=find(triu(WA,1)); vecWA=WA(list);% plot(sort(vecWA)),hold on, plot(sort(diag(WA)))
    [groups,no_groups,cost_function,f_ini]=iterative_dominant_set_extraction(WA); %WA.*(WA>2)
    [~,sorted_score]=sort(cost_function,'descend');
    sorted_groups=groups;for ii=1:no_groups; sorted_groups(find(groups==sorted_score(ii)))=ii; end
    sorted_cost_function=cost_function(sorted_score);

    idx = [find(sorted_groups==1)];
    idx = union(idx,find(diag(WA)>2));
end
