% Compute threshold for the feature selection process 
% 
% returns
% threshold


function [threshold]=rand_perm(train_set,train_labels,iter_no)
    p=99;
    for i=1:iter_no
        randomized_Labels=train_labels(randperm(numel(train_labels)));
        [IDX_rnd, SCORE_rnd] = rankfeatures(train_set,randomized_Labels,'criterion','wilcoxon');
        SCORE_rnd_ALL(i,:)=SCORE_rnd;
    end
    threshold=prctile(SCORE_rnd_ALL(:),p)
end
